<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>GormViewEditor class documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$GormViewEditor">GormViewEditor class documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
      <hr width="50%" align="left" />
      <h3>Contents -</h3>
      <ol>
        <li>
          <a href="#001000000000">Software documentation for the GormViewEditor class</a>
        </li>
        <li>
          <a href="#002000000000">Software documentation for the
        GormViewEditor(EditingAdditions)
        category</a>
        </li>
        <li>
          <a href="#003000000000">Software documentation for the
        GormViewEditor(IntelligentPlacement)
        category</a>
        </li>
        <li>
          <a href="#004000000000">Software documentation for the
        GormViewEditor(WindowAndRect)
        category</a>
        </li>
      </ol>
      <hr width="50%" align="left" />
    </div>

          <h1><a name="001000000000">
        Software documentation for the GormViewEditor class
      </a></h1>
    <h2><a name="class$GormViewEditor">GormViewEditor</a> : NSView</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormViewEditor.h</dd>
      </dl>
    </blockquote>
    <blockquote>
      <dl>
        <dt><b>Conforms to:</b></dt>
        <dd>IBEditors</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_GormViewEditor_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor(EditingAdditions)-editTextField$withEvent$">-editTextField:withEvent:</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor(IntelligentPlacement)-initializeResizingInFrame$withKnob$">-initializeResizingInFrame:withKnob:</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor(IntelligentPlacement)-updateResizingWithFrame$andEvent$andPlacementInfo$">-updateResizingWithFrame:andEvent:andPlacementInfo:</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor(IntelligentPlacement)-validateFrame$withEvent$andPlacementInfo$">-validateFrame:withEvent:andPlacementInfo:</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor(WindowAndRect)-windowAndRect$forObject$">-windowAndRect:forObject:</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor-activate">-activate</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor-canBeOpened">-canBeOpened</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor-close">-close</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor-deactivate">-deactivate</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor-detachSubviews">-detachSubviews</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor-document">-document</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor-editedObject">-editedObject</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor-frameDidChange$">-frameDidChange:</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor-initWithObject$inDocument$">-initWithObject:inDocument:</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor-isOpened">-isOpened</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor-makeSelectionVisible$">-makeSelectionVisible:</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor-parent">-parent</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor-postDraw$">-postDraw:</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor-selection">-selection</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor-setOpened$">-setOpened:</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormViewEditor-activate">activate&nbsp;</a></h3>
    - (BOOL) <b>activate</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewEditor-canBeOpened">canBeOpened&nbsp;</a></h3>
    - (BOOL) <b>canBeOpened</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewEditor-close">close&nbsp;</a></h3>
    - (void) <b>close</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewEditor-deactivate">deactivate&nbsp;</a></h3>
    - (void) <b>deactivate</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewEditor-detachSubviews">detachSubviews&nbsp;</a></h3>
    - (void) <b>detachSubviews</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewEditor-document">document&nbsp;</a></h3>
    - (id<IBDocuments>) <b>document</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewEditor-editedObject">editedObject&nbsp;</a></h3>
    - (id) <b>editedObject</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewEditor-frameDidChange$">frameDidChange:&nbsp;</a></h3>
    - (void) <b>frameDidChange:</b> (id)sender;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewEditor-initWithObject$inDocument$">initWithObject:&nbsp;inDocument:&nbsp;</a></h3>
    - (id) <b>initWithObject:</b> (id)anObject<b> inDocument:</b> (id<IBDocuments>)aDocument;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewEditor-isOpened">isOpened&nbsp;</a></h3>
    - (BOOL) <b>isOpened</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewEditor-makeSelectionVisible$">makeSelectionVisible:&nbsp;</a></h3>
    - (void) <b>makeSelectionVisible:</b> (BOOL)value;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewEditor-parent">parent&nbsp;</a></h3>
    - (id) <b>parent</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewEditor-postDraw$">postDraw:&nbsp;</a></h3>
    - (void) <b>postDraw:</b> (NSRect)rect;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewEditor-selection">selection&nbsp;</a></h3>
    - (NSArray*) <b>selection</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewEditor-setOpened$">setOpened:&nbsp;</a></h3>
    - (void) <b>setOpened:</b> (BOOL)value;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_GormViewEditor_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for GormViewEditor Class</h2>
    <h3><a name="ivariable$GormViewEditor*_editedObject">_editedObject</a></h3>
    @protected id <b>_editedObject</b>;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this instance variable indicates that, even
            though it is not technically <em>private</em>, it is
            intended for internal use within the package, and
            you should not use the variable in other code.
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormViewEditor*activated">activated</a></h3>
    @protected BOOL <b>activated</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormViewEditor*closed">closed</a></h3>
    @protected BOOL <b>closed</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormViewEditor*document">document</a></h3>
    @protected id<IBDocuments> <b>document</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormViewEditor*parent">parent</a></h3>
    @protected GormViewWithSubviewsEditor* <b>parent</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormViewEditor*viewWindow">viewWindow</a></h3>
    @protected GormViewWindow* <b>viewWindow</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>

          <h1><a name="002000000000">
        Software documentation for the
        GormViewEditor(EditingAdditions)
        category
      </a></h1>
    <h2><a rel="gsdoc" href="#class$GormViewEditor">GormViewEditor</a>(<a name="category$GormViewEditor(EditingAdditions)">EditingAdditions</a>)</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormViewEditor.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor(EditingAdditions)-editTextField$withEvent$">-editTextField:withEvent:</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormViewEditor(EditingAdditions)-editTextField$withEvent$">editTextField:&nbsp;withEvent:&nbsp;</a></h3>
    - (NSEvent*) <b>editTextField:</b> (id)view<b> withEvent:</b> (NSEvent*)theEvent;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>

          <h1><a name="003000000000">
        Software documentation for the
        GormViewEditor(IntelligentPlacement)
        category
      </a></h1>
    <h2><a rel="gsdoc" href="#class$GormViewEditor">GormViewEditor</a>(<a name="category$GormViewEditor(IntelligentPlacement)">IntelligentPlacement</a>)</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormViewEditor.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor(IntelligentPlacement)-initializeResizingInFrame$withKnob$">-initializeResizingInFrame:withKnob:</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor(IntelligentPlacement)-updateResizingWithFrame$andEvent$andPlacementInfo$">-updateResizingWithFrame:andEvent:andPlacementInfo:</a></li>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor(IntelligentPlacement)-validateFrame$withEvent$andPlacementInfo$">-validateFrame:withEvent:andPlacementInfo:</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormViewEditor(IntelligentPlacement)-initializeResizingInFrame$withKnob$">initializeResizingInFrame:&nbsp;withKnob:&nbsp;</a></h3>
    - (<a rel="gsdoc" href="GormPlacementInfo.html#class$GormPlacementInfo">GormPlacementInfo</a>*) <b>initializeResizingInFrame:</b> (NSView*)view<b> withKnob:</b> (IBKnobPosition)knob;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewEditor(IntelligentPlacement)-updateResizingWithFrame$andEvent$andPlacementInfo$">updateResizingWithFrame:&nbsp;andEvent:&nbsp;andPlacementInfo:&nbsp;</a></h3>
    - (void) <b>updateResizingWithFrame:</b> (NSRect)frame<b> andEvent:</b> (NSEvent*)theEvent<b> andPlacementInfo:</b> (<a rel="gsdoc" href="GormPlacementInfo.html#class$GormPlacementInfo">GormPlacementInfo</a>*)gpi;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewEditor(IntelligentPlacement)-validateFrame$withEvent$andPlacementInfo$">validateFrame:&nbsp;withEvent:&nbsp;andPlacementInfo:&nbsp;</a></h3>
    - (void) <b>validateFrame:</b> (NSRect)frame<b> withEvent:</b> (NSEvent*)theEvent<b> andPlacementInfo:</b> (<a rel="gsdoc" href="GormPlacementInfo.html#class$GormPlacementInfo">GormPlacementInfo</a>*)gpi;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>

          <h1><a name="004000000000">
        Software documentation for the
        GormViewEditor(WindowAndRect)
        category
      </a></h1>
    <h2><a rel="gsdoc" href="#class$GormViewEditor">GormViewEditor</a>(<a name="category$GormViewEditor(WindowAndRect)">WindowAndRect</a>)</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormViewEditor.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormViewEditor.html#method$GormViewEditor(WindowAndRect)-windowAndRect$forObject$">-windowAndRect:forObject:</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormViewEditor(WindowAndRect)-windowAndRect$forObject$">windowAndRect:&nbsp;forObject:&nbsp;</a></h3>
    - (NSWindow*) <b>windowAndRect:</b> (NSRect*)prect<b> forObject:</b> (id)object;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
    <br />
    </font>
</body>
</html>
